# Method: accounts.finalizedProposals.pause

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/pause#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/pause#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/pause#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/pause#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/pause#body.response_body)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/pause#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/pause#try-it)

Update given deals to pause serving. This method will set the `DealServingMetadata.DealPauseStatus.has_buyer_paused` bit to true for all listed deals in the request. Currently, this method only applies to PG and PD deals. For PA deals, call accounts.proposals.pause endpoint.

It is a no-op to pause already-paused deals. It is an error to call finalizedProposals.pause for deals which are not part of the proposal of proposalId or which are not finalized or renegotiating.

### HTTP request

`POST https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/finalizedProposals/{proposalId}:pause`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string` Account ID of the buyer. |
| `proposalId` | `string` The proposalId of the proposal containing the deals. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "externalDealIds": [ string ], "reason": string } ``` |

| Fields ||
|---|---|
| `externalDealIds[]` | `string` The externalDealId's of the deals to be paused. If empty, all the deals in the proposal will be paused. |
| `reason` | `string` The reason why the deals are being paused. This human readable message will be displayed in the seller's UI. (Max length: 1000 unicode code units.) |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals#Proposal`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`